@import "~sass/media";
@import '~sass/variables';
.forgot-bg {
    background-color: $teritary;
    padding: 2vh;
    width: 60%;
    height: 100%;
    margin: 20px auto;
    border-radius: 0.5vh;
    //border: 1px solid #d0cfcf;
    font-size: 13px;
    // -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    // box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    // -webkit-transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
    // transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
}
.forgot-bg .mat-form-field {
    display: block;
    font-size: 1rem;
    line-height: 1.5;
}
.forgot-bg button.mat-primary {
    margin-top: 1vh;
    height: 100%;
    margin-bottom: 3vh;
}
.forgot-txt {
    font-size: 0.9rem;
}

@include for-size(phone-only) {
    .forgot-bg {
        width: 100%;
    }
    .mobile-fotgot{
        padding: 0px;
    }
}

@include for-size(tablet-portrait-up){
    .forgot-bg {
        width: 70%;
    }
}
@include for-size(tablet-landscape-up){
    .forgot-bg {
        width: 70%;
    }
}
:host ::ng-deep .mat-form-field-appearance-outline .mat-form-field-wrapper{
  @include for-size(phone-only) {
    margin: 0.50em 0;
  }
}
.password-hint {
    background-color: #fff;
    padding: 10px;
    z-index: 9;
    position: absolute;
    width: 35%;
    left: 90%;
    top: 0;
    border: 2px solid $primary-color;
    display: inline-grid;
    font-size: 15px;
    line-height: 2;
    color: #000;
}

.password-hint::before {
    bottom: 100%;
    left: 0%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0px;
    position: absolute;
    pointer-events: none;
    border-bottom-color: $primary-color;
    border-width: 8px;
    margin-left: -16px;
    transform: rotate(-90deg);
    top: 15px;
}

@include for-size(phone-only) {

  .password-hint {
      left: 50%;
      font-size: 10px;
      width: 55%;
  }
}
@include for-size(tablet-portrait-up){
  .password-hint {
      left: 70%;
      font-size: 13px;
      line-height: 2;
      width: 50%;
  }
}
@include for-size(tablet-landscape-up){
  .password-hint {
      left: 70%;
      font-size: 13px;
      line-height: 2;
      width: 35%;
  }
}